<?php
require("../../../database/dbConection.php");

# -- BUSCAR ARQUIVOS VENCIDOS -- #
$sqlArquivos = "SELECT 
reg_tb_solicitacoes.id_statussolicitacao,
reg_tb_solicitacoes_agendado.pasta_documento,
reg_tb_solicitacoes_agendado.nomearquivo_documento,
reg_tb_solicitacoes_agendado.id_sca_solicitacao
FROM reg_tb_solicitacoes_agendado
RIGHT OUTER JOIN reg_tb_solicitacoes ON (reg_tb_solicitacoes_agendado.id_sca_solicitacao = reg_tb_solicitacoes.id_solicitacao)
WHERE (reg_tb_solicitacoes.id_statussolicitacao=3 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_registroagendamento)>=50)
OR (reg_tb_solicitacoes.id_statussolicitacao=4 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_solicitoucancelamento)>=50)
OR (reg_tb_solicitacoes.id_statussolicitacao=5 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_cancelamento)>=50)
OR (reg_tb_solicitacoes.id_statussolicitacao=6 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_entrega)>=50)
OR (reg_tb_solicitacoes.id_statussolicitacao=7 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_entrega)>=50)
OR (reg_tb_solicitacoes.id_statussolicitacao=8 AND DATEDIFF(CURDATE(), reg_tb_solicitacoes.datahora_cancelamento)>=50) 
ORDER BY id_sca_solicitacao";

$stmArquivos  = $rsConexao->prepare($sqlArquivos);
$stmArquivos  -> execute();

if($stmArquivos->rowCount()>0){
  $diretorioMes = "../docagendamentos/";
  $rsArquivos = $stmArquivos->fetchAll(PDO::FETCH_ASSOC);
  foreach($rsArquivos AS $fieldArquivos){
    if($fieldArquivos['pasta_documento']!=""){
      $diretorioMes   = $fieldArquivos['pasta_documento'];
      $nomeArquivo    = $fieldArquivos['nomearquivo_documento'];
      $numeracaoArquivo = str_pad($fieldArquivos['id_sca_solicitacao'],10,"0");
      $arquivoExcluir = "$diretorioMes/$numeracaoArquivo"."_"."$nomeArquivo";
      if(file_exists($arquivoExcluir)){
        unlink($arquivoExcluir);
      }
    }
  }
}

?>